/*
  Ce sketche est inspiré de : https://www.arduino.cc/en/tutorial/fade

  This example shows how to fade an LED on pin 11
  using the analogWrite() function.

  The analogWrite() function uses PWM, so if
  you want to change the pin you're using, be
  sure to use another PWM capable pin. On most
  Arduino, the PWM pins are identified with
  a "~" sign, like ~3, ~5, ~6, ~9, ~10 and ~11.
*/

int led = 11;           // the PWM pin
float brightness = 0;   // how bright the LED is

void process() {
  brightness *= 2.55;
  analogWrite(led, brightness);
  Serial.println(brightness);
}

// the setup routine runs once when you press reset:
void setup() {
  // declare pin 11 to be an output:
  pinMode(led, OUTPUT);
  Serial.begin(115200);
}

void loop() {
  while (Serial.available()) {
    brightness = (int)Serial.read();
    if (brightness >= 0 || brightness <= 100) {
      process();
    }
  }
}
